import { jsx } from "react/jsx-runtime";
import { TokenXLM as TokenXLM$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenXLM = forwardRef(
  ({ variant = "mono", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, alt: "XLM", "data-name": "TokenXLM", ...props, children: /* @__PURE__ */ jsx(TokenXLM$1, { variant }) });
  }
);
TokenXLM.displayName = "TokenXLM";
Object.assign(TokenXLM, { isGdsIcon: true });
export {
  TokenXLM
};
